%define url_ver %(echo %{version}|cut -d. -f1,2)

%define api 2
%define major 17
%define gmajor 2.0
%define libname %mklibname %{name} %{api} %{major}
%define girname %mklibname matedesktop-gir %{gmajor}
%define develname %mklibname %{name} -d

Name:     mate-desktop
Version: 1.28.2
Release: %mkrel 2
License:  GPLv2+ and LGPLv2+ and MIT
Summary:  Library with common APIs for various MATE modules
URL:      http://mate-desktop.org/
Group:    Graphical desktop/MATE
Source0:  http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:   org.mate.interface.gschema.xml.patch
BuildRequires: mate-common >= 1.22.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(libstartup-notification-1.0) >= 0.5
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.9.7
BuildRequires: pkgconfig(dconf) >= 0.13.4
BuildRequires: pkgconfig(gio-2.0) >= 2.26.0
BuildRequires: pkgconfig(xrandr) >= 1.3
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gtk-doc) >= 1.4
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: intltool >= 0.50.1
BuildRequires: iso-codes
BuildRequires: librsvg
BuildRequires: autoconf
BuildRequires: autoconf-archive

Requires: xdg-user-dirs-gtk
Requires: libnotify
Requires: mate-panel
Requires: yelp
Requires: mate-notification-daemon
Requires: mate-themes
Requires: mate-faenza-icon-theme
Requires: task-pipewire

%description
This package contains some data files and other shared components of the
MATE user environment.

%package -n %{libname}
Summary: Mate desktop internal libraries
Group: System/Libraries

%description -n %{libname}
This package contains an internal library
(libmatedesktop) used to implement some portions of the MATE
desktop.


%package -n %{develname}
Summary: MATE module API library development files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

Obsoletes: mate-desktop-devel
Provides: mate-desktop-devel = %{version}-%{release}


%description -n %{develname}
This package contain the development library with common API for various MATE modules.

%prep
%setup -q
%autopatch -p1

%build
# Needed for above patches
NOCONFIGURE=1 ./autogen.sh
%configure2_5x \
     --enable-gtk-doc                                      \
     --disable-schemas-compile                             \
     --with-x                                              \
     --disable-static                                      \
     --with-pnp-ids-path="%{_datadir}/hwdata/pnp.ids"      \
     --enable-gtk-doc-html                                 \
     --enable-introspection=yes

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
     
%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name "*.la" -delete

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%{_bindir}/mate-about
%{_bindir}/mate-color-select
%{_datadir}/applications/mate-about.desktop
%{_datadir}/applications/mate-color-select.desktop
%{_datadir}/mate-about/
%{_mandir}/man1/mate-about.1*
%{_mandir}/man1/mate-color-select.1*
%{_datadir}/icons/hicolor/*/apps/mate-desktop.png
%{_datadir}/icons/hicolor/*/apps/mate-desktop-symbolic.svg
%{_datadir}/icons/hicolor/*/apps/mate-desktop.svg
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml
%{_datadir}/xdg-desktop-portal/mate-portals.conf

%files -n %{libname}
%{_libdir}/libmate-desktop-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/MateDesktop-%{gmajor}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/mate-desktop/
%{_datadir}/gir-1.0/MateDesktop-2.0.gir
%{_libdir}/libmate-desktop-2.so
%{_libdir}/pkgconfig/mate-desktop-2.0.pc
%{_includedir}/mate-desktop-2.0/

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/sbin/ldconfig
update-desktop-database /usr/share/applications
update-mime-database /usr/share/mime

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/sbin/ldconfig
update-desktop-database /usr/share/applications
update-mime-database /usr/share/mime

%changelog
* Thu Mar 14 2024 tex - 1.28.2-2pclos2024
- require task-pipewire

* Mon Mar 11 2024 tex - 1.28.2-1pclos2024
- new version

* Sat Feb 17 2024 tex - 1.28.1-1pclos2024
- new version

* Tue Feb 13 2024 tex - 1.28.0-1pclos2024
- new version

* Tue Sep 26 2023 tex - 1.26.2-1pclos2023
- new version

* Thu Mar 16 2023 tex - 1.26.1-1pclos2023
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Sat Aug 22 2020 tex - 1.24.1-1pclos2020
- new version

* Mon Feb 10 2020 tex - 1.24.0-1pclos2020
- Update to version 1.24.0
